<?php
/**
 * @version $Id: header.php 248 2008-05-23 10:40:56Z elkuku $
 * @package		ssrrn_acl
 * @subpackage	
 * @author		EasyJoomla {@link http://www.easy-joomla.org Easy-Joomla.org}
 * @author		SSRRN {@link http://www.ssrrn.com}
 * @author		Created on 15-Sep-2008
 */

// no direct access
defined( '_JEXEC' ) or die( ';)' );

jimport('joomla.application.component.controller');

/**
 * ssrrn_acl Controller
 *
 * @package    ssrrn_acl
 * @subpackage Controllers
 */
class prot_confControllerrestore extends prot_confController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		
		parent::__construct();
	}// function
	
	function restore()
	{
		$model = $this->getModel('restore');
		$model->set_var();
		
		$result = $model->restore();
		
		$msg = array(
					0 => _RESTORE_SUCCEED,
					1 => _CANT_RESTORE
					);
					
		$this->setRedirect( 'index.php?option=com_prot_conf&view=restore', $msg[$result] );
	}
	
	/**
	 * cancel editing a record
	 * @return void
	 */
	function cancel()
	{
		$msg = JText::_( 'Operation Cancelled' );
		$this->setRedirect( 'index.php?option=com_prot_conf&view=restore', $msg );
	}// function

}// class